/* ------------------------------------------------------------------------- *
 * An example SAS program for Stats 506
 *
 * This file imports RECS data downloaded from. 
 * http://www.eia.gov/consumption/residential/data/2020/index.cfm /
 *  ?view=microdata
 *  Then writes a sas7bat  native format to a data library.
 *
 * Author: James Henderson
 * Updated: Oct 9, 2023
 * ------------------------------------------------------------------------- *
*/
/* 79: --------------------------------------------------------------------- */

/* data libraries for reading/writing data: -------------------------------- */
%let in_path = ~/my_shared_file_links/jbhender0/input_data;
%let out_path = ~/my_shared_file_links/jbhender0/output_data; 
libname in_lib "&in_path."; 
libname out_lib "&out_path.";

proc import 
  datafile="&in_path./recs2020_public_v5.csv"
  out=work.recs;

/* use a data step and a set statement to "save": -------------------------- */
data out_lib.recs2020;
 set recs;

/* Question: How could we have saved directly to out_lib? */

/* view the contents of this file: ----------------------------------------- */
proc contents data=out_lib.recs2020;
run;

/* 79: --------------------------------------------------------------------- */