/* ------------------------------------------------------------------------- *
 * An example SAS program for Stats 506.
 *
 * This file imports RECS data from:
 *   ./data/recs2009_public.csv
 *   http://www.eia.gov/consumption/residential/data/2009/index.cfm?view=microdata
 *
 * Then prints some basic information about the file.
 *
 * Author: James Henderson
 * Updated: October 9, 2023
 * ------------------------------------------------------------------------- *
*/
/* 79: --------------------------------------------------------------------- */

/* data library for reading/writing data: ---------------------------------- */
%let in_path = ~/my_shared_file_links/jbhender0/input_data;
%let out_path = ~/my_shared_file_links/jbhender0/output_data; 
libname in_lib "&in_path."; 
libname out_lib "&out_path.";

/* Create a data set recs referring to existing file: ---------------------- */
data recs; /* Question: what library is this in? */
 set in_lib.recs2020_public_v5;  

proc print data=in_lib.recs2020_public_v5(obs=5);
 var DOEID;

proc print data=recs(obs=5);
 var DOEID;

proc contents data=recs;

run;

/* 79: --------------------------------------------------------------------- */   